--- tv_pg_gridfcns.erl_orig	2009-03-12 14:23:29.000000000 +0200
+++ tv_pg_gridfcns.erl	2009-10-22 17:27:24.000000000 +0300
@@ -205,8 +205,8 @@
 	check_nof_cols(ColsShown, (NofColsShown - NofCols), ColFrameIds, ColIds, 
 		       RowIds, NofRows, RowHeight, FgColor, BgColor ),
 
-    clear_fields(lists:nthtail(NofColsShown, NewColIds), 
-		 lists:nthtail(NofRowsShown, NewRowIds)),
+    clear_fields(nthtail(NofColsShown, NewColIds), 
+		 nthtail(NofRowsShown, NewRowIds)),
 
     RowsToUpdate = lists:sublist(NewRowIds, NofRowsShown),
 
@@ -279,7 +279,7 @@
 
        % Update the ColWidths list.
     TempColWidths = lists:sublist(ColWidths, VirtualCol - 1) ++ 
-	[NewWidthOfCol | lists:nthtail(VirtualCol, ColWidths)],
+	[NewWidthOfCol | nthtail(VirtualCol, ColWidths)],
     
        % Check the other columns, whether a new column has to be created.
     ColsShown    = compute_cols_shown(FirstColShown, TempColWidths, GridWidth, 
@@ -455,8 +455,8 @@
     refresh_visible_rows(RowsToUpdate, NewFirstColShown, NofColsShown, RowDataList, ListAsStr),
 
        % Clear fields currently not visible.
-    clear_fields(lists:nthtail(NofColsShown, NewColIds), 
-		 lists:nthtail(NofRowsShown, NewRowIds)),
+    clear_fields(nthtail(NofColsShown, NewColIds), 
+		 nthtail(NofRowsShown, NewRowIds)),
 
     
     NewGridP = GridP#grid_params{nof_cols        = NewNofCols,
@@ -1376,6 +1376,23 @@
 %%======================================================================
 
 
+nthtail(Number, List) when Number > length(List) ->
+    [];
+nthtail(Number, List) ->
+    lists:nthtail(Number, List).
+
+
+%%======================================================================
+%% Function:      
+%%
+%% Return Value:  
+%%
+%% Description:   
+%%
+%% Parameters:    
+%%======================================================================
+
+
 clear_fields(ColIds, RowIds) ->
     clear_cols_or_rows(ColIds),
     clear_cols_or_rows(RowIds).
@@ -1565,7 +1582,7 @@
     if 
 	NecessaryNofVirtualCols > NofVirtualCols ->
 	    TailNo = NofVirtualCols - FirstColShown + 1,   % Always >= 0 !!!
-	    NewColWidths ++ lists:nthtail(TailNo, ColsShown);
+	    NewColWidths ++ nthtail(TailNo, ColsShown);
 	true ->
 	    NewColWidths
     end.
@@ -1653,7 +1670,7 @@
 			ColWidthsLength < FirstColShown ->
 			    [];
 			true ->
-			    lists:nthtail(FirstColShown - 1, ColWidths)
+			    nthtail(FirstColShown - 1, ColWidths)
 		    end,
     compute_cols_shown(UsedColWidths, GridWidth, DefaultColWidth).
 
